import { ref } from 'vue'
import { defineStore } from 'pinia'

export const useModelStore = defineStore('model', () => {
  // 当前选中的模块信息
  const currentModel = ref<Record<string, string>>({})
  // 设置选中的模块信息
  const setCurrentModel = (pageData: Record<string, string>) => {
    currentModel.value = pageData
  }

  return { currentModel, setCurrentModel }
})
